<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

if (is_dir(substr(CPO_BASEDIR.$activeModules[$directory]['directory'].'/skin/'.$CPO['skin'],0,-1))) define('NL_SKIN_URL', BASE_REL.$activeModules[$directory]['directory'].'/skin/'.$CPO['skin']);
else define('NL_SKIN_URL', BASE_REL.$activeModules[$directory]['directory'].'/skin/conpresso/'); // Fallback to conpresso

if(!isset($_POST['import']))  {

		// Artikelfilter *******************************************************************************
		switch ($_REQUEST['action']) {
		case 'togglefilter':
			$_SESSION['filter_files']['enabled'] = !$_SESSION['filter_files']['enabled'];
			break;
		case 'setfilter':
			$_SESSION['SID_pagers'][$pager] = 0;

			$_SESSION['filter_files']['phrase'] = $_POST['phrase'];
			break;
		}
		if (!$_SESSION['filter_files']['enabled']) {
			$_SESSION['filter_files']['phrase'] = '';
		}

		$join_phrase = '';
		$q_phrase = "WHERE newsletter='".$directory."' ";
		if ($_SESSION['filter_files']['phrase']) {
			$q_phrase = "WHERE ((name LIKE '%".addslashes($_SESSION['filter_files']['phrase'])."%' "
						."OR email LIKE '%".addslashes($_SESSION['filter_files']['phrase'])."%' "
						."OR categories LIKE '%".addslashes($_SESSION['filter_files']['phrase'])."%') AND newsletter='".$directory."') ";
		}
		// Artikelfilter *******************************************************************************

		printPageHeader(
			__('Newsletter recipients'),
			__('This is the newsletter-administration of the existing email-adresses.'),
			modHelp('recipients','newsletter'),
			true,
			'modules'
		);
		$query = "SELECT COUNT(*) "
                ."FROM ".$dbPrefix."_mod_newsletter_adresses "
				."WHERE newsletter='".$directory."'";
        DEBUG(1, $query, __FILE__, __LINE__);
        $db->query($query);
        $db->next_record();
        $max_data = $db->v('COUNT(*)');
		if ($max_data > 0)  {

			require(CPO_BASEDIR."_include/message.php");

		// Artikelfilter *******************************************************************************
		if (!$_SESSION['filter_files']['enabled']) {
			print('<table style="width: 100%;" class="colored filter"><thead>');
			print('<tr>');
			printf('<th><span><a href="%1$s">'
				  .'<img src="'.SKIN_URL.'sym_filteron.gif" width="13" height="13" style="vertical-align: text-bottom;" alt="%2$s" title="%2$s" ></a>'
				  .'&nbsp;<a href="%1$s">%2$s</a></span></th>',
				$_SERVER['PHP_SELF'].'?list=email&action=togglefilter',
				htmlspecialchars(__('Enable filter'), ENT_COMPAT, 'ISO-8859-15'));
			print('</tr></table>');
		} else {
			print('<table style="width: 100%;" class="colored"><thead>');
			print('<tr>');
			printf('<th colspan="3"><span><a href="%1$s">'
				  .'<img src="'.SKIN_URL.'sym_filteroff.gif" width="13" height="13" style="vertical-align: text-bottom;" alt="%2$s" title="%2$s" ></a>'
				  .'&nbsp;<a href="%1$s">%2$s</a></span></th>',
				$_SERVER['PHP_SELF'].'?list=email&action=togglefilter',
				htmlspecialchars(__('Disable filter'), ENT_COMPAT, 'ISO-8859-15'));
			print('</tr></thead><tbody><tr>');

			print('<form method="post" action="'.$_SERVER["PHP_SELF"].' " name="newsentry">');
			print('<td class="leftrow">');
				print(__('Filter by phrase:').'</td><td>');
				printf('<input type="text" name="%s" value="%s" class="inputwidth">',
					'phrase',
					htmlspecialchars($_SESSION['filter_files']['phrase'], ENT_COMPAT, 'ISO-8859-15'));
			print('</td></tr><td>&nbsp;</td><td>');
				print('<input type="hidden" name="action" value="setfilter">');
				print('<input type="hidden" name="list" value="email">');
				print('<input type="submit" class="button" value="'.htmlspecialchars(__('Set filter parameters'), ENT_COMPAT, 'ISO-8859-15').'">');
			print('</td>');
			print('</form>');
			print('</tr></tbody></table>');
		}
		// Artikelfilter *******************************************************************************

			
			// table header {{{
			echo '<table class="ruler" style="width: 100%;">';
			echo '<thead><tr>';

			echo '<th style="width: 30%;"><span>'.__('Name').'/'.__('Rank').'</span></th>';
			echo '<th style="width: 50%;"><span>'.__('eMail').'</span></th>';
			echo '<th style="width: 10%;"><span>'.__('Manage').'</span></th>';
			echo '<th style="width: 5%;"><span>'.__('Status').'</span></th>';
			echo '</tr></thead><tbody>';
			// }}}

			$query = "SELECT * "
					."FROM ".$dbPrefix."_mod_newsletter_adresses ".$q_phrase
					."LIMIT ".$_SESSION['SID_pagers']['articles'].", ".$activeModules[$directory]['list_length'];
			DEBUG(1, $query, __FILE__, __LINE__);
			$db->query($query);

			while($db->next_record()) {
				echo '<tr>';
				echo '<td style="white-space: nowrap;">';
				echo $db->v('name');
				if ($activeModules[$directory]['use_ranking'] == 'yes')  {
					echo '<br />';
					for ($r=0;$r<$db->v('rank');$r++)  {
						echo '<img src="'.NL_SKIN_URL.'pic_rank.gif" height="10" width="7" alt="'.__('actual rank: ').$db->v('rank').'" title="'.__('actual rank: ').$db->v('rank').'">';
					}
				}
				echo '</td>';
				echo '<td>';
				echo '<a href="mailto:'.$db->v('email').'">'.$db->v('email').'</a>';
				if ($activeModules[$directory]['use_categories'] == 'yes')  {
					echo '<br />'.__('categories: ').str_replace(";",", ",__($db->v('categories')));
				}
				echo '</td>';
				echo '<td style="white-space: nowrap;">';
					// modify receiver
						printf('<a href="'.BASE_URL.$activeModules[$directory]['directory'].'/%1$s">'
							  .'<img src="'.SKIN_URL.'%2$s" class="pic_" alt="%3$s" title="%3$s" />'
							  .'</a>',
							'newsletter.php?action=modify&nr='.$db->v('id'),
							'pic_edit.gif',
							htmlspecialchars(__('modify entry'), ENT_COMPAT, 'ISO-8859-15')
						);
					// delete receiver
						echo '<a href="'.BASE_URL.$activeModules[$directory]['directory'].'/newsletter.php?list=email&action=delete&amp;nr='.$db->v('id').'" onClick="return confirm(\''.__('Are you sure deleting this user? No way back!').'\')">';
						echo '<img src="'.SKIN_URL.'pic_del.gif" class="pic_" alt="'.__('delete entry').'" title="'.__('delete entry').'" />'; 
						if ($activeModules[$directory]['use_ranking'] == 'yes')  {
							echo '</a>&nbsp;&nbsp;&nbsp;';
							printf('<a href="'.BASE_URL.$activeModules[$directory]['directory'].'/%1$s">'
								  .'<img src="%2$s" class="pic_" alt="%3$s" title="%3$s" />'
								  .'</a>',
								'newsletter.php?list=email&rank=up&nr='.$db->v('id'),
								NL_SKIN_URL.'pic_rank_up.gif',
								htmlspecialchars(__('rank increase'), ENT_COMPAT, 'ISO-8859-15')
							);
							printf('<a href="'.BASE_URL.$activeModules[$directory]['directory'].'/%1$s">'
								  .'<img src="%2$s" class="pic_" alt="%3$s" title="%3$s" />'
								  .'</a>',
								'newsletter.php?list=email&rank=down&nr='.$db->v('id'),
								NL_SKIN_URL.'pic_rank_down.gif',
								htmlspecialchars(__('rank decrease'), ENT_COMPAT, 'ISO-8859-15')
							);
						}
				echo '</td>';
				echo '<td style="white-space: nowrap;">';
					switch ($db->v('active')) {
					case 0: 
							print($c_wait_free);
							$s = 'Status: waiting';
							echo '<a href="'.BASE_URL.$activeModules[$directory]['directory'].'/newsletter.php?list=email&action=activate&nr='.$db->v('id').'&hash='.$db->v('hash').'">';
							print($pic_free.'</a>');
							printf($pic_block_s, htmlspecialchars(__('The receiver is in state waiting and can not be deactivated.'), ENT_COMPAT, 'ISO-8859-15'));
							echo '<a href="'.BASE_URL.$activeModules[$directory]['directory'].'/newsletter.php?list=email&action=ban&nr='.$db->v('id').'&hash='.$db->v('hash').'">';
							print($pic_reject.'</a>');
						print('<br />'.__($s));
						break;
					case 1:
						print($c_free);
						$s = 'Status: active';
							printf($pic_free_s, htmlspecialchars(__('The entry is already activated.'), ENT_COMPAT, 'ISO-8859-15'));
							print('<a href="'.BASE_URL.$activeModules[$directory]['directory'].'/newsletter.php?list=email&action=deactivate&nr='.$db->v('id').'&hash='.$db->v('hash').'">');
							print($pic_block.'</a>');
							echo '<a href="'.BASE_URL.$activeModules[$directory]['directory'].'/newsletter.php?list=email&action=ban&nr='.$db->v('id').'&hash='.$db->v('hash').'">';
							print($pic_reject.'</a>');
						print('<br />'.__($s));
						break;
					case 2:
						print($c_reject);
						$s = 'Status: banned';
							echo '<a href="'.BASE_URL.$activeModules[$directory]['directory'].'/newsletter.php?list=email&action=activate&nr='.$db->v('id').'&hash='.$db->v('hash').'">';
							print($pic_free.'</a>');
							printf($pic_block_s, htmlspecialchars(__('The receiver is banned and can not be deactivated.'), ENT_COMPAT, 'ISO-8859-15'));
							printf($pic_reject_s, htmlspecialchars(__('The receiver is already banned.'), ENT_COMPAT, 'ISO-8859-15'));
						print('<br />'.__($s));
						break;
					}
				echo '</td>';
				echo '</tr>';
			}
			echo '</tbody></table>';
			next_page($_SESSION['SID_pagers']['articles'], $max_data, $activeModules[$directory]['list_length'], 1, 'list=email', BASE_URL.$activeModules[$directory]['directory'].'/newsletter.php');
			echo '<BR> <BR>';
		} else {
			$message[] = __('No recipients found!');
			require(CPO_BASEDIR."_include/message.php");
		}
}
if($_POST['import'] == 1)  {
	include (CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_upload.inc.php');
}
?>
