<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<HTML>
    
<head>
<title>Newsletter-Vorschau</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<?php if($activeModules[$directory]['css_sheet'] != '')  echo '<link rel="stylesheet" href="'.$activeModules[$directory]['css_sheet'].'" type="text/css">'."\n"; ?>
<style type="text/css">
<!--
BODY {
	margin: 0; 
    color: #000;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 11px;
}
.big { 
	width: 100%;
	border: 1px solid #b1c1d0; 
	background-color: #ffffff; 
}
.NLmailbutton {
	font-family: "MS Sans Serif", Tahoma, Arial, Helvetica, sans-serif;
	color: #000000;
	border-top-width: 2px;
	border-right-width: 2px;
	border-bottom-width: 2px;
	border-left-width: 2px;
	border-top-style: solid;
	border-right-style: solid;
	border-bottom-style: solid;
	border-left-style: solid;
	border-top-color: #FFFFFF;
	border-right-color: #000000;
	border-bottom-color: #000000;
	border-left-color: #FFFFFF;
	font-size: 12px;
	padding: 3px;
	font-weight: normal;
}
.NLmaildata {
	font-family: "MS Sans Serif", Tahoma, Arial, Helvetica, sans-serif;
	color: #000000;
	border-top-width: 2px;
	border-right-width: 2px;
	border-bottom-width: 2px;
	border-left-width: 2px;
	border-top-style: solid;
	border-right-style: solid;
	border-bottom-style: solid;
	border-left-style: solid;
	border-top-color: #666666;
	border-right-color: #CCCCCC;
	border-bottom-color: #CCCCCC;
	border-left-color: #666666;
	font-size: 12px;
	padding: 3px;
	font-weight: normal;
}
.NLtext {
	font-family: Verdana, Arial, Helvetica, sans-serif; 
	color: #000000;
	font-size: 11px;
	padding: 3px;
	font-weight: normal;
}
.NLframe { 
	border: 1px solid #b1c1d0; 
	background-color: #ffffff; 
	padding: 10px;
	height: 98%;
}
.NLframeTextarea { 
	border: 1px solid #b1c1d0; 
	background-color: #ffffff; 
	height: 100%;
}
-->
</style>
</HEAD>
<body>
<form method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td valign="top" height="80">
			<TABLE width="100%" bgcolor="silver" cellspacing="5">
				<TR>
					<TD width="50" class="NLmailbutton"><?php echo __('From:'); ?></TD>
					<TD bgcolor="white" class="NLmaildata">&nbsp;<?php echo $activeModules[$directory]['sender_email']; ?></TD>
				</TR>
				<TR>
					<TD class="NLmailbutton"><?php echo __('To:'); ?></TD>
					<TD bgcolor="white" class="NLmaildata">&nbsp;<?php echo __('... loaded adresses ...'); ?></TD>
				</TR>
				<TR>
					<TD class="NLmailbutton"><?php echo __('Subject:'); ?></TD>
					<TD bgcolor="white" class="NLmaildata">&nbsp;<?php echo $db_titel; ?></TD>
				</TR>
			</TABLE>
		</td>
<?php if ($activeModules[$directory]['use_categories'] == 'yes')  { ?>
		<td height="80" width="200" bgcolor="#FFFFFF" valign="top" rowspan="3">
			<table border="0" cellspacing="10" class="NLtext">
				<tr>
					<td nowrap="nowrap" width="150">
					<h4><?php echo __('Category choice'); ?></h4>
					<?php echo __('(only affecting preview)'); ?><br><br>
					<input type="hidden" name="action" value="<?php echo $_REQUEST['action']; ?>">
					<input type="hidden" name="nr" value="<?php echo $_REQUEST['nr']; ?>">
					<input type="hidden" name="categorie_check[]" value="<?php echo $activeModules[$directory]['header']; ?>">
					<input type="checkbox" name="categorie_check[]" value="<?php echo $activeModules[$directory]['header']; ?>" checked disabled> <?php echo $activeModules[$directory]['header']; ?><br>
					<?php
					$categories = explode(";",$activeModules[$directory]['categories']);
					if (!isset($_REQUEST['categorie_check']))  {
						for ($c=0;$c<count($categories);$c++)  {
							$cat_check .= '<input type="checkbox" name="categorie_check[]" value="'.$categories[$c].'" checked> '.$categories[$c].'<br>'."\n";
						}
					} else {
						for ($c=0;$c<count($categories);$c++)  {
							$checked = '';
							if (in_array($categories[$c],$_REQUEST['categorie_check'])) $checked = ' checked';
							$cat_check .= '<input type="checkbox" name="categorie_check[]" value="'.$categories[$c].'"'.$checked.'> '.$categories[$c].'<br>'."\n";
						}
					}
					echo $cat_check;
					?>
					<input type="hidden" name="categorie_check[]" value="<?php echo $activeModules[$directory]['footer']; ?>">
					<input type="checkbox" name="categorie_check[]" value="<?php echo $activeModules[$directory]['footer']; ?>" checked disabled> <?php echo $activeModules[$directory]['footer']; ?><br><br>
					<input type="submit" class="text" name="neueVorschau" value="<?php echo __('Refresh'); ?>">
					</td>
				</tr>
			</table>
		</td>
<?php } ?>
	</tr>
	<tr>
		<td valign="top">
			<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td valign="top">
