<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

// pics
    $pic_empty     = '<img src="'.SKIN_URL.'pic_empty.gif"  class="pic_" alt="">';
    $pic_free      = '<img src="'.SKIN_URL.'pic_free.gif"   class="pic_" alt="'.htmlspecialchars(__('activate'), ENT_COMPAT, 'ISO-8859-15').'" title="'.htmlspecialchars(__('activate'), ENT_COMPAT, 'ISO-8859-15').'" />';
    $pic_block     = '<img src="'.SKIN_URL.'pic_block.gif"  class="pic_" alt="'.htmlspecialchars(__('deactivate'), ENT_COMPAT, 'ISO-8859-15').'"   title="'.htmlspecialchars(__('deactivate'), ENT_COMPAT, 'ISO-8859-15').'" />';
    $pic_reject    = '<img src="'.SKIN_URL.'pic_reject.gif" class="pic_" alt="'.htmlspecialchars(__('ban'), ENT_COMPAT, 'ISO-8859-15').'"  title="'.htmlspecialchars(__('ban'), ENT_COMPAT, 'ISO-8859-15').'" />';
    $pic_free_s    = '<img src="'.SKIN_URL.'pic_shade.gif"  class="pic_" style="background: url('.SKIN_URL.'pic_free.gif);  " alt="%1$s" title="%1$s" />';
    $pic_block_s   = '<img src="'.SKIN_URL.'pic_shade.gif"  class="pic_" style="background: url('.SKIN_URL.'pic_block.gif); " alt="%1$s" title="%1$s" />';
    $pic_reject_s  = '<img src="'.SKIN_URL.'pic_shade.gif"  class="pic_" style="background: url('.SKIN_URL.'pic_reject.gif);" alt="%1$s" title="%1$s" />';

	$c_free        = '<img src="'.SKIN_URL.'status_released.gif" style="vertical-align: top; width: 57px; height: 13px; border: 0;" alt="'.htmlspecialchars(__('released'), ENT_COMPAT, 'ISO-8859-15').'" title="'.htmlspecialchars(__('activated'), ENT_COMPAT, 'ISO-8859-15').'">&nbsp;';
    $c_wait        = '<img src="'.SKIN_URL.'status_waiting.gif"  style="vertical-align: top; width: 57px; height: 13px; border: 0;" alt="'.htmlspecialchars(__('waiting'), ENT_COMPAT, 'ISO-8859-15').'" title="'.htmlspecialchars(__('waiting'), ENT_COMPAT, 'ISO-8859-15').'">&nbsp;';
    $c_banned       = '<img src="'.SKIN_URL.'status_blocked.gif"  style="vertical-align: top; width: 57px; height: 13px; border: 0;" alt="'.htmlspecialchars(__('banned'), ENT_COMPAT, 'ISO-8859-15').'" title="'.htmlspecialchars(__('deactivated'), ENT_COMPAT, 'ISO-8859-15').'">&nbsp;';
    $c_reject      = '<img src="'.SKIN_URL.'status_rejected.gif" style="vertical-align: top; width: 57px; height: 13px; border: 0;" alt="'.htmlspecialchars(__('rejected'), ENT_COMPAT, 'ISO-8859-15').'" title="'.htmlspecialchars(__('banned'), ENT_COMPAT, 'ISO-8859-15').'">&nbsp;';
    $c_reject_free = '<img src="'.SKIN_URL.'status_rejected-released.gif" style="vertical-align: top; width: 57px; height: 13px; border: 0;" alt="'.htmlspecialchars(__('rejected, older newsletter released'), ENT_COMPAT, 'ISO-8859-15').'" title="'.htmlspecialchars(__('rejected, older newsletter released'), ENT_COMPAT, 'ISO-8859-15').'">&nbsp;';
    $c_wait_free   = '<img src="'.SKIN_URL.'status_waiting-released.gif"  style="vertical-align: top; width: 57px; height: 13px; border: 0;" alt="'.htmlspecialchars(__('waiting, old newsletter released'), ENT_COMPAT, 'ISO-8859-15').'" title="'.htmlspecialchars(__('waiting, old newsletter released'), ENT_COMPAT, 'ISO-8859-15').'">&nbsp;';
?>