<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

global $content, $db_titel, $dbPrefix, $activeModules, $db_nr, $rubric, $cpoRubric, $success, $message, $translator, $_type;

$directory = $_type;

// Parser-Array
$content['FrontEnd ('.$directory.')'] = array(
	'type'		=>$directory,
	'name'		=>'FrontEnd',
	'content'   =>''
);
$content['List ('.$directory.')'] = array(
	'type'		=>$directory,
	'name'		=>'List',
	'content'   =>''
);
$content['DataRows ('.$directory.')'] = array(
	'type'		=>$directory,
	'name'		=>'DataRows',
	'content'   =>''
);

// Aktionen
include_once(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/actions.inc.php');

// das Frontend als Placeholder
	require(CPO_BASEDIR."_include/message.php");

	$replace[] = "<!-- NL-RUBRIC -->";
	$with[] = $cpoRubric['id'];


	if (!isset($success) || $success == '')  {	// Normalversion
		$content_string = str_replace($replace, $with, $activeModules[$directory]['index_page']);
	}  elseif ($success == "subscribe_1")  {	// Besttigungsseite
		$content_string = str_replace($replace, $with, $activeModules[$directory]['confirmation_page']);
	}  elseif ($success == "subscribe_2")  {	// Verifizierungsseite
		$content_string = str_replace($replace, $with, $activeModules[$directory]['auth_page']);
	}  elseif ($success == "user_profile")  {	// User-Profil
		$content_string = str_replace($replace, $with, $activeModules[$directory]['user_page']);
	}  elseif ($success == "user_profile_changed")  {	// Index-Seite nach Profilnderung
		$content_string = str_replace($replace, $with, $activeModules[$directory]['index_page']);
	}

	$content['FrontEnd ('.$directory.')']['content'] = $content_string;

	// Rubrik-ID fr Newsletter auslesen
	$query = "SELECT id "
			."FROM ".$dbPrefix."_rubric "
			."WHERE (name = '".$activeModules[$directory]['newsletter_rubric']."' OR id = '".$activeModules[$directory]['newsletter_rubric']."')";
	DEBUG(1, $query, __FILE__, __LINE__);
	$db = new DB;
	$db->query($query);
	$db->next_record();
	$newsletter_rubric_id = $db->v('id');
	$query = "SELECT nr, titel, pub_datum FROM ".CPO_NEWS." WHERE artikel_archiv=0 AND rubric_id=".$newsletter_rubric_id." ORDER BY pub_datum LIMIT ".$activeModules[$directory]['newsletter_list_length'];
	DEBUG(1, $query, __FILE__, __LINE__);
	$db->query($query);

	while($db->next_record()) {
		unset ($replace, $with);
		$replace[] = "<!-- NL-TITLE -->";
		$with[] = $db->v('titel');
		$replace[] = "<!-- NL-NR -->";
		$with[] = $db->v('nr');
		$list_string .= str_replace($replace, $with, $activeModules[$directory]['newsletter_list']);
	}

	$content['List ('.$directory.')']['content'] = $list_string;


?>
