<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

if (!isset($_GET['set'])) return; 

if ($_GET['set']=='0000') {
    $db = new DB;
    $query = "DELETE FROM ".CPO_PERMISSION." "
            ."WHERE id='".addslashes($_GET['permission_id'])."' ";
    DEBUG(1, $query, __FILE__, __LINE__);
    $db->query($query); 
    
    $db->query('SELECT name FROM '.CPO_RUBRIC.' '
              .'WHERE id='.(int)$_GET['rubric_id']);
    $db->next_record() ? $_rubric = $db->v('name') :  $_rubric = '';

    $db->query('SELECT user FROM '.CPO_USER.' '
              .'WHERE id='.(int)$_GET['user_id']);
    $db->next_record() ? $_user = $db->v('user') :  $_user = '';
    logaction('remove rubric rights', $_rubric.': '.$_user.' '.$_GET['set']);
    return;
}

$query = "REPLACE ".CPO_PERMISSION." SET "
        ."id = '".addslashes($_GET['permission_id'])."', "
        ."user_id = '".addslashes($_GET['user_id'])."', "
        ."rubric_id = '".addslashes($_GET['rubric_id'])."', "
        ."stufe1='".addslashes($_GET['set']{0})."', "
        ."stufe2='".addslashes($_GET['set']{1})."', "
        ."stufe3='".addslashes($_GET['set']{2})."', "
        ."stufe4='".addslashes($_GET['set']{3})."' ";
DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query);

$db->query('SELECT name FROM '.CPO_RUBRIC.' '
          .'WHERE id='.(int)$_GET['rubric_id']);
$db->next_record() ? $_rubric = $db->v('name') :  $_rubric = '';

$db->query('SELECT user FROM '.CPO_USER.' '
          .'WHERE id='.(int)$_GET['user_id']);
$db->next_record() ? $_user = $db->v('user') :  $_user = '';
logaction('change rubric rights', $_rubric.': '.$_user.' '.$_GET['set']);
?>
