<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

$right_on  = '<img src="'.SKIN_URL.'pic_rights_off.gif" class="pic_" alt="'.__('switch rights off').'" title="'.__('switch rights off').'">';
$right_off = '<img src="'.SKIN_URL.'pic_rights_on.gif" class="pic_" alt="'.__('switch rights on').'" title="'.__('switch rights on').'">';
$right_all_on  = '<img src="'.SKIN_URL.'pic_rights_all_on.gif" class="pic_" alt="'.__('switch all rights on').'" title="'.__('switch all rights on').'">';
$right_all_off = '<img src="'.SKIN_URL.'pic_rights_all_off.gif" class="pic_" alt="'.__('switch all rights off').'" title="'.__('switch all rights off').'">';
$right_active_on  = '<img src="'.SKIN_URL.'pic_rights_active_off.gif" class="pic_" alt="'.__('deactivate').'" title="'.__('deactivate').'">';
$right_active_off = '<img src="'.SKIN_URL.'pic_rights_active_on.gif" class="pic_" alt="'.__('activate').'" title="'.__('activate').'">';

echo '<table class="ruler" style="width: 100%">';
echo '<thead><tr>';
echo '<th style="width: 40%;"><span>'.__('User').help('rubrics-listrubrics.html#rubrics-rubricsettings-rubricrights-user').'</span></th>';
echo '<th style="width: 10%;"><span>'.__('Active').help('rubrics-listrubrics.html#rubrics-rubricsettings-rubricrights-active').'</span></th>';
echo '<th style="width: 10%;"><span>'.__('Create').help('rubrics-listrubrics.html#rubrics-rubricsettings-rubricrights-create').'</span></th>';
echo '<th style="width: 10%;"><span>'.__('Edit').help('rubrics-listrubrics.html#rubrics-rubricsettings-rubricrights-edit').'</span></th>';
echo '<th style="width: 10%;"><span>'.__('Upload').help('rubrics-listrubrics.html#rubrics-rubricsettings-rubricrights-upload').'</span></th>';
echo '<th style="width: 10%;"><span>'.__('Release').help('rubrics-listrubrics.html#rubrics-rubricsettings-rubricrights-release').'</span></th>';
echo '<th style="width: 10%;"><span>'.__('Global').help('rubrics-listrubrics.html#rubrics-rubricsettings-rubricrights-global').'</span></th>';
echo '</tr></thead><tbody>';

if ($_REQUEST['pos']=='' || $_REQUEST['pos']<0) $_REQUEST['pos'] = 0;

$query = "SELECT COUNT(*) FROM ".CPO_USER." "
        ."WHERE admin>0 "
        .'AND id>=0';
DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query);
$db->next_record();
$counter = $db->v('COUNT(*)');

$query = "SELECT id, user, name, admin FROM ".CPO_USER." "
        ."WHERE admin>0 "
        .'AND id>=0 '
        ."ORDER BY user ";
DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query);

while($db->next_record()) {
    $query = "SELECT id, stufe1, stufe2, stufe3, stufe4 "
            ."FROM ".CPO_PERMISSION." "
            ."WHERE rubric_id='".addslashes($_GET['rubric_id'])."' "
            ."AND user_id='".addslashes($db->v('id'))."'";
    DEBUG(2, $query, __FILE__, __LINE__);
    $db_2 = new DB;
    $db_2->query($query);
    
    echo '<tr>';
    printf('<td>%s</td>', 
        htmlspecialchars(formatUserName($db->v('id'), $db->v('user'), $db->v('name')), ENT_COMPAT, 'ISO-8859-15')
    );

    $permission_id = '';
    $s1 = 0; $s2 = 0;
    $s3 = 0; $s4 = 0;
    $statusall = '0000';

    $_status = '1111';
    $icon   = 'pic_rights_active_on.gif';
    $caption = __('activate');

    if ($db_2->num_rows()>0) { // FIXME if ($db_2->next_record()) should work too?
        $db_2->next_record();

        $permission_id = $db_2->v('id');
        $s1 = $db_2->v('stufe1');
        $s2 = $db_2->v('stufe2');
        $s3 = $db_2->v('stufe3');
        $s4 = $db_2->v('stufe4');
        $statusall = $db_2->v('stufe1').$db_2->v('stufe2').$db_2->v('stufe3').$db_2->v('stufe4');

        $_status = '0000';
        $icon   = 'pic_rights_active_off.gif';
        $caption = __('deactivate');
    }

    $link = $_SERVER['PHP_SELF'].'?'
           .'user_id='.$db->v('id').'&'
           .'permission_id='.htmlspecialchars($permission_id, ENT_COMPAT, 'ISO-8859-15').'&'
           .'rubric_id='.htmlspecialchars($_GET['rubric_id'], ENT_COMPAT, 'ISO-8859-15').'&';

    echo '<td>';
    if ($_SESSION['SID_user']['admin']<$db->v('admin')) { 
        printIcon($link.'set='.$_status, SKIN_URL.$icon, __('You are not allowed to change the rights of a higher role.'), false);
    } else {
        printIcon($link.'set='.$_status, SKIN_URL.$icon, $caption, true);
    }
    echo '</td>';

    for ($i=0; $i<strlen($statusall); $i++) {
        echo '<td>';
        $statusnew = $statusall;
        if ($statusall{$i}=='1') {
            $statusnew{$i} = '0';
            $icon = 'pic_rights_off.gif';
            $caption = __('switch rights off');
        } else {
            $statusnew{$i} = '1';
            $icon = 'pic_rights_on.gif';
            $caption = __('switch rights on');
        }
        if ($_SESSION['SID_user']['admin']<$db->v('admin')) { 
            printIcon($link.'set='.$statusnew, SKIN_URL.$icon, __('You are not allowed to change the rights of a higher role.'), false);
        } else {
            printIcon($link.'set='.$statusnew, SKIN_URL.$icon, $caption, true);
        }
        echo '</td>';
    }
        
    echo '<td>';
    if ($_SESSION['SID_user']['admin']<$db->v('admin')) { 
        printIcon($link.'set=0000', SKIN_URL.'pic_rights_all_off.gif', __('You are not allowed to change the rights of a higher role.'), false);
        printIcon($link.'set=1111', SKIN_URL.'pic_rights_all_on.gif', __('You are not allowed to change the rights of a higher role.'), false);
    } else {
        printIcon($link.'set=0000', SKIN_URL.'pic_rights_all_off.gif', __('switch all rights off'), true);
        printIcon($link.'set=1111', SKIN_URL.'pic_rights_all_on.gif', __('switch all rights on'), true);
    }
    echo '</td>';

    echo '</tr>';

}  // while($db->next_record()) {
echo '</table>';
?>
