<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

include(CPO_BASEDIR.$activeModules[$directory]['directory'].'/includes/inc_personalize.inc.php');

$replacer = array();;
$replacer[newsletterPlaceholder('NL-RUBRIC')]    = $cpoRubric['id'];
$replacer[newsletterPlaceholder('NL-DATA-ROWS')] = $data_rows;
$replacer[newsletterPlaceholder('NL-NAME')]      = htmlspecialchars($_POST['Name'], ENT_COMPAT, 'ISO-8859-15');
$replacer[newsletterPlaceholder('NL-MAIL')]      = htmlspecialchars($_POST['eMail'], ENT_COMPAT, 'ISO-8859-15');
$replacer[newsletterPlaceholder('NL-CAPTCHA')]   = '';

if ($activeModules[$directory]['captcha'] == "yes") {
    $replacer[newsletterPlaceholder('NL-CAPTCHA')]      = $activeModules[$directory]['captcha_template'];
?>
<script type="text/javascript">
<!--
function reloadCaptcha(captchaName)
{
	captchaName.src = 'captcha/captcha.php?time=' + new Date().getTime();
}
-->
</script>
<?php
}


if (!isset($form_style))  { 
	if (!isset($success) || $success == '')  {
		echo preg_replace(array_keys($replacer), array_values($replacer), $activeModules[$directory]['index_page']);			// Normalversion
	}  elseif ($success == "subscribe_1")  {
		echo $activeModules[$directory]['confirmation_page'];		// Besttigungsseite
	}  elseif ($success == "subscribe_2")  {
		echo $activeModules[$directory]['auth_page'];				// Verifizierungsseite
	}  elseif ($success == "user_profile")  {
		echo $activeModules[$directory]['user_page'];				// User-Profil
	}  elseif ($success == "user_profile_changed")  {
		echo preg_replace(array_keys($replacer), array_values($replacer), $activeModules[$directory]['index_page']);				// Index-Seite nach Profilnderung
	}
} else if ($form_style == "mini")  {
	if (!isset($success) || $success == '')  {
		echo preg_replace(array_keys($replacer), array_values($replacer), $activeModules[$directory]['mini_index_page']);			// Normalversion
	}  elseif ($success == "subscribe_1")  {
		echo preg_replace(array_keys($replacer), array_values($replacer), $activeModules[$directory]['mini_confirmation_page']);	// Besttigungsseite
	}
}

?>