<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

// Adress-Tabelle erzeugen
$query = "CREATE TABLE IF NOT EXISTS ".$dbPrefix."_mod_newsletter_adresses (
  `id` int(10) unsigned NOT NULL auto_increment,
  `newsletter` varchar(255) NOT NULL default '',
  `email` varchar(255) default NULL,
  `name` varchar(255) default NULL,
  `password` varchar(32) NOT NULL default '',
  `categories` varchar(255) NOT NULL default 'all',
  `rank` int(1) NOT NULL default '0',
  `hash` varchar(32) NOT NULL default '',
  `time` datetime default '0000-00-00 00:00:00',
  `ctime` bigint(21) NOT NULL default '0',
  `active` int(1) default '0',
  `personalize` text,
  PRIMARY KEY  (`id`),
  KEY `newsletter` (`newsletter`),
  KEY `email` (`email`)
);";
$db->query($query);

// Erster Eintrag ist der Admin
$email_md5  = md5($db->v('email').time());
$query = "SELECT * FROM ".$dbPrefix."_user WHERE id = 1";
$db->query($query);
$db->next_record();
$query = "INSERT INTO ".$dbPrefix."_mod_newsletter_adresses (`id`, `newsletter`, `email`, `name`, `password`, `categories`, `rank`, `hash`, `time`, `ctime`, `active`, `personalize`) VALUES ('', '".$moduleDirectory."', '".$db->v('email')."', '".$db->v('name')."', '".$db->v('passwd')."', 'all', ".$GLOBALS['modules'][$moduleDirectory]['default_rank'].", '".$email_md5."', '".date('Y-m-d H:i:s')."', ".time().", 1, NULL);";
$first_newsletter_receiver = $db->v('name')." (".$db->v('email').")";
$db->query($query);

// Template fr die Newsletter eintragen
$query = "INSERT INTO ".$dbPrefix."_templates (`id`, `name`, `tpl_first`, `tpl_detail`, `tpl_javascript`, `c_time`, `changer`) VALUES ('', '".$template_name."', '<p><p><!-- Value: pub_date; format=d.m.Y; --> <b><!-- Value: Title; --></b> (<a href=\"../".$GLOBALS['modules'][$moduleDirectory]['directory']."/preview.php?action=text_preview&nr=<!-- Value: articlenr -->\" target=\"_blank\">Text</a>/<a href=\"../".$GLOBALS['modules'][$moduleDirectory]['directory']."/preview.php?action=preview&nr=<!-- Value: articlenr -->\" target=\"_blank\">HTML</a>)</p>', '<!-- Text: Einleitung; --><!-- Text: Hardware; --><!-- Text: Software; --><!-- Text: Programmierung; --><!-- Text: Ausleitung; -->', '<p><p><!-- Value: pub_date; format=d.m.Y; --> <b><!-- Value: Title; --></b> (<a href=\"../".$GLOBALS['modules'][$moduleDirectory]['directory']."/preview.php?action=text_preview&nr=<!-- Value: articlenr -->\" target=\"_blank\">Text</a>/<a href=\"../".$GLOBALS['modules'][$moduleDirectory]['directory']."/preview.php?action=preview&nr=<!-- Value: articlenr -->\" target=\"_blank\">HTML</a>)</p>', '".date('Y-m-d H:i:s')."', 'NEWSLETTER-SETUP');";
$db->query($query);
// anschlieend die Nummer des Templates ermiteln
$query = "SELECT id FROM ".$dbPrefix."_templates WHERE name = '".$template_name."'";
$db->query($query);
$db->next_record();
$newsletter_template_id = $db->v('id');

// Placeholder-Tabelle ergnzen
$TEXT_label = 'Dieser Inhalt wird im Nur-Text Abschnitt des Newsletters verwendet.';
$label = serialize(array('label'=>$TEXT_label));
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$newsletter_template_id.", 4, 'Einleitung', 2, '".$label."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$newsletter_template_id.", 4, 'Hardware', 4, '".$label."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$newsletter_template_id.", 4, 'Software', 6, '".$label."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$newsletter_template_id.", 4, 'Programmierung', 8, '".$label."');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_placeholders (`id`, `templates_id`, `ttype`, `fieldname`, `pos`, `ddata`) VALUES ('', ".$newsletter_template_id.", 4, 'Ausleitung', 10, '".$label."');";
$db->query($query);
  

// Rubrik Newsletter anlegen
$query = "INSERT INTO ".$dbPrefix."_rubric (`id`, `directory`, `name`, `seclevel`, `source_rubric_id`, `settings`) VALUES ('', '_rubric', '".$default_newsletter_rubric."', 0, 0, 'a:12:{s:5:\"title\";s:0:\"\";s:17:\"disableRubricText\";s:0:\"\";s:15:\"noArticlesFound\";s:23:\"Keine Artikel gefunden.\";s:12:\"noOfArticles\";s:2:\"10\";s:7:\"sorting\";s:19:\"idx, pub_datum desc\";s:17:\"standard_template\";s:".strlen($newsletter_template_id).":\"".$newsletter_template_id."\";s:11:\"date_format\";s:0:\"\";s:14:\"pager_previous\";s:0:\"\";s:10:\"pager_next\";s:0:\"\";s:11:\"pager_found\";s:0:\"\";s:13:\"pager_results\";s:0:\"\";s:15:\"showArchiveText\";s:6:\"Archiv\";}');";
$db->query($query);
// anschlieend die Nummer der Rubrik ermiteln (die "Neue", falls es bereits "Newsletter" gab...)
$query = "SELECT id FROM ".$dbPrefix."_rubric WHERE name = '".$default_newsletter_rubric."' ORDER BY id ASC";
$db->query($query);
while ($db->next_record())  {
	$newsletter_rubric_id = $db->v('id');
}

// Das Template dieser Rubrik zuweisen
$query = "INSERT INTO ".$dbPrefix."_tpl_assignment (`id`, `rubric_id`, `templates_id`, `c_time`, `changer`) VALUES ('', ".$newsletter_rubric_id.", ".$newsletter_template_id.", '".date('Y-m-d H:i:s')."', 'SETUP');";
$db->query($query);

// Die Rechte fr den Admin
$query = "INSERT INTO ".$dbPrefix."_permission (`id`, `user_id`, `rubric_id`, `stufe1`, `stufe2`, `stufe3`, `stufe4`) VALUES ('', 1, ".$newsletter_rubric_id.", 1, 1, 1, 1);";
$db->query($query);

// ******************************************************************************************************************************
// Demo-Artikel 1 anlegen + Placeholders ****************************************************************************************
// ******************************************************************************************************************************

$query = "INSERT INTO ".$dbPrefix."_news (nr, artikel_archiv, article_nr, auth, keywords, commentary, rubric_id, templates_id, titel, datum, verfallsdatum, pub_datum, autor, email, initial, idx, freigabe, released_user_id, release_date, last_modify, c_time, changer, sort_id) VALUES ('', 0, '', '', '', '".__('This is just a demo that can be deleted or be used for experience your new newsletter-module')."', ".$newsletter_rubric_id.", ".$newsletter_template_id.", 'Demo-Newsletter', '".date('Y-m-d H:i:s')."', '2036-01-01 00:00:00', '".date('Y-m-d H:i:s')."', 'SETUP', 'none', '50n', 'zzzzzz', 0, 1, '".date('Y-m-d H:i:s')."', '".date('Y-m-d H:i:s')."', '".date('Y-m-d H:i:s')."', 'SETUP', '');";
$db->query($query);
$query = "SELECT nr FROM ".$dbPrefix."_news WHERE titel = 'Demo-Newsletter' ORDER BY nr ASC";
$db->query($query);
while ($db->next_record())  {
	$newsletter_demo_article_id = $db->v('nr');
}
$db->query($query);
$query = "UPDATE ".$dbPrefix."_news SET article_nr = '".$newsletter_demo_article_id."' WHERE titel = 'Demo-Newsletter'";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_text (id, article_id, fieldname, text) VALUES ('', ".$newsletter_demo_article_id.", 'Einleitung', '========================================================\r\n            :: THE DEMONSTRATION NEWSLETTER ::\r\n========================================================\r\n\r\nLadies and Gentlemen,\r\n\r\n  this is your personal update about the latest news on\r\nour products, services and capabilities!\r\n\r\nThings are subject to change, so please notice the actual\r\ndevelopments in the following categories:\r\n\r\n');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_text (id, article_id, fieldname, text) VALUES ('', ".$newsletter_demo_article_id.", 'Hardware', '===> HARDWARE <===\r\nThis, of course, is not the real copy for this advertisement. The real words will be written once you have approved the headline. Rest assured, the words will expand the concept. With clarity. Conviction. And even a little wit. Because in todays competitive marketing environment, the body copy of your advertisment must lead the reader through a series of disarmingly simple thoughts. All your supporting arguments must be communicated with simplicity and charm. And in such a way that the reader will read on. (After all, thats a readers job: to read, isnt it?) And by the time your readers have reached this point in the finished copy, you will have convinced them that you not only respect their intelligence, but you also understand their needs as consumers. As a result of which, your advertisment will repay your efforts. Take your sales; simply put, they will rise. Likewise your credibility. Theres every chance your competitors will wish theyd placed this advertisement, not you. While your customers will have probably forgotten that your competitors even exist. Which brings us, by a somewhat circuitous route, to another small point, but one which we feel should be raised. As a marketer, you probably dont even believe in body copy. Let alone long body copy. (Unless you have a long body yourself.) Well, truth is, whos to blame you? Fact is, too much long body copy is dotted with such indulgent little phrases like truth is, fact is, and whos to blame you.\r\n\r\n');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_text (id, article_id, fieldname, text) VALUES ('', ".$newsletter_demo_article_id.", 'Software', '===> SOFTWARE <===\r\nThis, of course, is not the real copy for this advertisement. The real words will be written once you have approved the headline. Rest assured, the words will expand the concept. With clarity. Conviction. And even a little wit. Because in todays competitive marketing environment, the body copy of your advertisment must lead the reader through a series of disarmingly simple thoughts. All your supporting arguments must be communicated with simplicity and charm. And in such a way that the reader will read on. (After all, thats a readers job: to read, isnt it?) And by the time your readers have reached this point in the finished copy, you will have convinced them that you not only respect their intelligence, but you also understand their needs as consumers. As a result of which, your advertisment will repay your efforts. Take your sales; simply put, they will rise. Likewise your credibility. Theres every chance your competitors will wish theyd placed this advertisement, not you. While your customers will have probably forgotten that your competitors even exist. Which brings us, by a somewhat circuitous route, to another small point, but one which we feel should be raised. As a marketer, you probably dont even believe in body copy. Let alone long body copy. (Unless you have a long body yourself.) Well, truth is, whos to blame you? Fact is, too much long body copy is dotted with such indulgent little phrases like truth is, fact is, and whos to blame you.\r\n\r\n');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_text (id, article_id, fieldname, text) VALUES ('', ".$newsletter_demo_article_id.", 'Programmierung', '===> PROGRAMMING <===\r\nThis, of course, is not the real copy for this advertisement. The real words will be written once you have approved the headline. Rest assured, the words will expand the concept. With clarity. Conviction. And even a little wit. Because in todays competitive marketing environment, the body copy of your advertisment must lead the reader through a series of disarmingly simple thoughts. All your supporting arguments must be communicated with simplicity and charm. And in such a way that the reader will read on. (After all, thats a readers job: to read, isnt it?) And by the time your readers have reached this point in the finished copy, you will have convinced them that you not only respect their intelligence, but you also understand their needs as consumers. As a result of which, your advertisment will repay your efforts. Take your sales; simply put, they will rise. Likewise your credibility. Theres every chance your competitors will wish theyd placed this advertisement, not you. While your customers will have probably forgotten that your competitors even exist. Which brings us, by a somewhat circuitous route, to another small point, but one which we feel should be raised. As a marketer, you probably dont even believe in body copy. Let alone long body copy. (Unless you have a long body yourself.) Well, truth is, whos to blame you? Fact is, too much long body copy is dotted with such indulgent little phrases like truth is, fact is, and whos to blame you.\r\n\r\n');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_text (id, article_id, fieldname, text) VALUES ('', ".$newsletter_demo_article_id.", 'Ausleitung', 'Thanks for your attention!\r\n\r\nWith kind regards\r\n\r\n      Your most interesting Website');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_html (id, article_id, fieldname, html) VALUES ('', ".$newsletter_demo_article_id.", 'Einleitung', '<span style=\"FONT-SIZE: 11px; COLOR: #555555; FONT-FAMILY: Verdana,Arial,Helvetica\"><HR id=null>\r\n\r\n<P align=center><STRONG><FONT size=5>THE DEMONSTRATION NEWSLETTER</FONT></STRONG> </P>\r\n<HR id=null>\r\n\r\n<P><FONT face=\"Verdana, Arial, Helvetica, Geneva, Swiss\">Ladies and Gentlemen,</FONT></P>\r\n<P><FONT face=\"Verdana, Arial, Helvetica, Geneva, Swiss\">&nbsp; this is your personal update about the latest news on<BR>our products, services and capabilities!</FONT></P>\r\n<P><FONT face=\"Verdana, Arial, Helvetica, Geneva, Swiss\">Things are subject to change, so please notice the actual<BR>developments in the following categories:</FONT></P>\r\n<P>&nbsp;</P>');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_html (id, article_id, fieldname, html) VALUES ('', ".$newsletter_demo_article_id.", 'Hardware', '<P><STRONG>HARDWARE</STRONG> \r\n<HR id=null>\r\n\r\n<P></P>\r\n<P><FONT face=\"Verdana, Arial, Helvetica, Geneva, Swiss\"><IMG hspace=5 src=\"".BASE_ABS.$GLOBALS['modules'][$moduleDirectory]['directory']."/demo/hardware.jpg\" align=right border=1>This, of course, is not the real copy for this advertisement. The real words will be written once you have approved the headline. Rest assured, the words will expand the concept. With clarity. Conviction. And even a little wit. Because in todays competitive marketing environment, the body copy of your advertisment must lead the reader through a series of disarmingly simple thoughts. All your supporting arguments must be communicated with simplicity and charm. And in such a way that the reader will read on. (After all, thats a readers job: to read, isnt it?) And by the time your readers have reached this point in the finished copy, you will have convinced them that you not only respect their intelligence, but you also understand their needs as consumers. As a result of which, your advertisment will repay your efforts. Take your sales; simply put, they will rise. Likewise your credibility. Theres every chance your competitors will wish theyd placed this advertisement, not you. While your customers will have probably forgotten that your competitors even exist. Which brings us, by a somewhat circuitous route, to another small point, but one which we feel should be raised. As a marketer, you probably dont even believe in body copy. Let alone long body copy. (Unless you have a long body yourself.) Well, truth is, whos to blame you? Fact is, too much long body copy is dotted with such indulgent little phrases like truth is, fact is, and whos to blame you.</FONT></P>\r\n<P>&nbsp;</P>');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_html (id, article_id, fieldname, html) VALUES ('', ".$newsletter_demo_article_id.", 'Software', '<P><STRONG>SOFTWARE</STRONG> \r\n<HR id=null>\r\n<BR><FONT face=\"Verdana, Arial, Helvetica, Geneva, Swiss\"><IMG hspace=5 src=\"".BASE_ABS.$GLOBALS['modules'][$moduleDirectory]['directory']."/demo/software.jpg\" align=right border=1>This, of course, is not the real copy for this advertisement. The real words will be written once you have approved the headline. Rest assured, the words will expand the concept. With clarity. Conviction. And even a little wit. Because in todays competitive marketing environment, the body copy of your advertisment must lead the reader through a series of disarmingly simple thoughts. All your supporting arguments must be communicated with simplicity and charm. And in such a way that the reader will read on. (After all, thats a readers job: to read, isnt it?) And by the time your readers have reached this point in the finished copy, you will have convinced them that you not only respect their intelligence, but you also understand their needs as consumers. As a result of which, your advertisment will repay your efforts. Take your sales; simply put, they will rise. Likewise your credibility. Theres every chance your competitors will wish theyd placed this advertisement, not you. While your customers will have probably forgotten that your competitors even exist. Which brings us, by a somewhat circuitous route, to another small point, but one which we feel should be raised. As a marketer, you probably dont even believe in body copy. Let alone long body copy. (Unless you have a long body yourself.) Well, truth is, whos to blame you? Fact is, too much long body copy is dotted with such indulgent little phrases like truth is, fact is, and whos to blame you.</FONT> \r\n<P></P>\r\n<P>&nbsp;</P>');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_html (id, article_id, fieldname, html) VALUES ('', ".$newsletter_demo_article_id.", 'Programmierung', '<P><STRONG>PROGRAMMING</STRONG> \r\n<HR id=null>\r\n<BR><FONT face=\"Verdana, Arial, Helvetica, Geneva, Swiss\"><IMG hspace=5 src=\"".BASE_ABS.$GLOBALS['modules'][$moduleDirectory]['directory']."/demo/programming.jpg\" align=right>This, of course, is not the real copy for this advertisement. The real words will be written once you have approved the headline. Rest assured, the words will expand the concept. With clarity. Conviction. And even a little wit. Because in todays competitive marketing environment, the body copy of your advertisment must lead the reader through a series of disarmingly simple thoughts. All your supporting arguments must be communicated with simplicity and charm. And in such a way that the reader will read on. (After all, thats a readers job: to read, isnt it?) And by the time your readers have reached this point in the finished copy, you will have convinced them that you not only respect their intelligence, but you also understand their needs as consumers. As a result of which, your advertisment will repay your efforts. Take your sales; simply put, they will rise. Likewise your credibility. Theres every chance your competitors will wish theyd placed this advertisement, not you. While your customers will have probably forgotten that your competitors even exist. Which brings us, by a somewhat circuitous route, to another small point, but one which we feel should be raised. As a marketer, you probably dont even believe in body copy. Let alone long body copy. (Unless you have a long body yourself.) Well, truth is, whos to blame you? Fact is, too much long body copy is dotted with such indulgent little phrases like truth is, fact is, and whos to blame you.</FONT> \r\n<P></P>\r\n<P>&nbsp;</P>');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_html (id, article_id, fieldname, html) VALUES ('', ".$newsletter_demo_article_id.", 'Ausleitung', '<P><FONT face=\"Verdana, Arial, Helvetica, Geneva, Swiss\">Thanks for your attention!</FONT></P>\r\n<P><FONT face=\"Verdana, Arial, Helvetica, Geneva, Swiss\">With kind regards</FONT></P>\r\n<P><FONT face=\"Verdana, Arial, Helvetica, Geneva, Swiss\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Your <STRONG>most interesting</STRONG> Website!</FONT></P></span>');";
$db->query($query);

// ******************************************************************************************************************************
// Demo-Artikel 2 anlegen + Placeholders ****************************************************************************************
// ******************************************************************************************************************************

$query = "INSERT INTO ".$dbPrefix."_news (nr, artikel_archiv, article_nr, auth, keywords, commentary, rubric_id, templates_id, titel, datum, verfallsdatum, pub_datum, autor, email, initial, idx, freigabe, released_user_id, release_date, last_modify, c_time, changer, sort_id) VALUES ('', 0, '', '', '', '".__('This is just a demo that can be deleted or be used for experience your new newsletter-module')."', ".$newsletter_rubric_id.", ".$newsletter_template_id.", 'ConPresso-Newsletter', '".date('Y-m-d H:i:s')."', '2036-01-01 00:00:00', '".date('Y-m-d H:i:s')."', 'SETUP', 'none', '50n', 'zzzzzz', 0, 1, '".date('Y-m-d H:i:s')."', '".date('Y-m-d H:i:s')."', '".date('Y-m-d H:i:s')."', 'SETUP', '');";
$db->query($query);
$query = "SELECT nr FROM ".$dbPrefix."_news WHERE titel = 'ConPresso-Newsletter' ORDER BY nr ASC";
$db->query($query);
while ($db->next_record())  {
	$newsletter_demo_article_id = $db->v('nr');
}
$db->query($query);
$query = "UPDATE ".$dbPrefix."_news SET article_nr = '".$newsletter_demo_article_id."' WHERE titel = 'ConPresso-Newsletter'";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_text (id, article_id, fieldname, text) VALUES ('', ".$newsletter_demo_article_id.", 'Einleitung', 'Immer gut informiert mit ConPresso\n===========================================================\n\nSehr geehrter Newsletter-Interessent,\n\ndamit Sie stets auf dem Laufenden sind und nichts verpassen, bietet Ihnen ConPresso brandaktuell und auf einen Blick die wichtigsten Ereignisse des Tages auf der ConPresso-Homepage.\n\nDurch das umfangreiche Modulangebot lsst sich ConPresso einfach mit neuen Funktionen erweitern und bietet Administratoren und Redakteuren das ideale Werkzeug fr ihre Arbeit.\n\nDer Besucher der Website erhlt durch ihre Arbeit mit ConPresso gezielt und aktuell die Informationen die er sucht.\n\nhttp://www.ConPresso.de\n');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_text (id, article_id, fieldname, text) VALUES ('', ".$newsletter_demo_article_id.", 'Hardware', '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_text (id, article_id, fieldname, text) VALUES ('', ".$newsletter_demo_article_id.", 'Software', '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_text (id, article_id, fieldname, text) VALUES ('', ".$newsletter_demo_article_id.", 'Programmierung', '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_text (id, article_id, fieldname, text) VALUES ('', ".$newsletter_demo_article_id.", 'Ausleitung', 'Freuen Sie sich zustzlich auf unsere zahlreichen Serviceangebote. Dazu gehren ein umfangreicher Supportbereich, aktuelle News zu ConPresso, Resellerangebote, interessante Stellenangebote, Schulung, Hosting und vieles mehr!\n\nAls ConPresso-Kunde erhalten Sie diese Informationen exklusiv und immer aktuell!\n\nMit freundlichen Gren\n\nIhr Martin Mustermann\nLeiter ConPresso Beratungsteam\n\n===========================================================\n');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_html (id, article_id, fieldname, html) VALUES ('', ".$newsletter_demo_article_id.", 'Einleitung', '<H1>Immer gut informiert mit Con<EM>Presso</EM> \n<HR>\n</H1>\n<P>Sehr geehrter Newsletter-Interessent, </P>\n<P>damit Sie stets auf dem Laufenden sind und nichts verpassen, bietet Ihnen&nbsp;<STRONG>Con<EM>Presso</EM></STRONG> brandaktuell und auf einen Blick die wichtigsten Ereignisse des Tages auf der <STRONG>Con<EM>Presso</EM>-Homepage</STRONG>. </P>\n<P>Durch das umfangreiche Modulangebot lsst sich <STRONG>Con<EM>Presso</EM> </STRONG>einfach mit neuen Funktionen erweitern und bietet Administratoren und Redakteuren das ideale Werkzeug fr ihre Arbeit.</P>\n<P>Der Besucher der Website erhlt durch ihre Arbeit mit <STRONG>Con<EM>Presso</EM></STRONG> gezielt und aktuell die Informationen die er sucht.</P>\n<P align=center><IMG src=\"".BASE_ABS.$GLOBALS['modules'][$moduleDirectory]['directory']."/demo/cp_de.jpg\"></P>');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_html (id, article_id, fieldname, html) VALUES ('', ".$newsletter_demo_article_id.", 'Hardware', '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_html (id, article_id, fieldname, html) VALUES ('', ".$newsletter_demo_article_id.", 'Software', '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_html (id, article_id, fieldname, html) VALUES ('', ".$newsletter_demo_article_id.", 'Programmierung', '');";
$db->query($query);
$query = "INSERT INTO ".$dbPrefix."_content_html (id, article_id, fieldname, html) VALUES ('', ".$newsletter_demo_article_id.", 'Ausleitung', '<P>Freuen Sie sich zustzlich auf unsere zahlreichen Serviceangebote. Dazu gehren ein umfangreicher Supportbereich, aktuelle News zu Con<EM>Presso</EM>, Resellerangebote, interessante Stellenangebote, Schulung, Hosting und vieles mehr!</P>\n<P>Als Con<EM>Presso</EM>-Kunde erhalten Sie diese Informationen exklusiv und immer aktuell!</P>\n<P>Mit freundlichen Gren</P>\n<P><EM>Ihr Martin Mustermann<BR></EM>Leiter Con<EM>Presso</EM> Beratungsteam</P>\n<P>\n<HR>');";
$db->query($query);

// cronjob and scheduler
$query = "CREATE TABLE IF NOT EXISTS `".$dbPrefix."_mod_newsletter_cronjob` (
		  `id` int(11) NOT NULL auto_increment,
		  `recipient` varchar(255) NOT NULL,
		  `subject` varchar(255) NOT NULL,
		  `content` text NOT NULL,
		  `header` tinytext NOT NULL,
		  PRIMARY KEY  (`id`)
		)";
$db->query($query);

$query = "CREATE TABLE IF NOT EXISTS `".$dbPrefix."_mod_newsletter_schedule` (
		  `id` int(11) NOT NULL auto_increment,
		  `user` varchar(255) NOT NULL,
		  `description` varchar(255) NOT NULL,
		  `post` text NOT NULL,
		  `request` text NOT NULL,
		  `get` text NOT NULL,
		  `from` int(11) NOT NULL,
		  `to` int(11) NOT NULL,
		  PRIMARY KEY  (`id`)
		)";
$db->query($query);

// Final messages
$GLOBALS['message'][] = __('The newsletter-module was successfully installed!');
$GLOBALS['message'][] = sprintf(__('The first newsletter recipient has been set to <b>%s</b> which should be the admin.'),$first_newsletter_receiver);
$GLOBALS['message'][] = sprintf(__('The newsletter-module works on standard ConPresso rubrics an uses <b>%s</b> for the newsletters (if you already had a rubric "%s" an additional one was created not influencing the existing one).'),$default_newsletter_rubric,$default_newsletter_rubric);
$GLOBALS['message'][] = sprintf(__('An article template called <b>%s</b> was created, where you should not change the detail-part (that will be automatically overwritten).'),$template_name);
$GLOBALS['message'][] = __('A demonstration newsletter called <B>Demo-Newsletter</B> has been created.');
$GLOBALS['message'][] = __('Now you finally have to <B>activate</B> the module.');
?>