<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Newsletter"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.3e / January 2014 ===

*/

if (!defined('CPO')) exit;

// This is the language file for navigation and setup

$translation = array(
// navigation
'create newsletter'
=> 'Newsletter erstellen',
'work on newsletters'
=> 'Newsletter bearbeiten',
'Create newsletter'
=> 'Newsletter erstellen',
'Creates a new newsletter'
=> 'Erstellt einen neuen Newsletter',
'add recipient'
=> 'Empfnger erstellen',
'work on recipients'
=> 'Empfnger bearbeiten',
'Shows the recipients list'
=> 'Zeigt die Liste der Empfnger',
'upload recipients list'
=> 'Empfnger importieren',
'create a new newsletter'
=> 'Neuen Newsletter erstellen',
'manage the existing newsletters'
=> 'Verwalten der vorhandenen Newsletter',
'create a new recipient'
=> 'Neuen Empfnger anlegen',
'manage the existing recipients'
=> 'Verwalten der vorhandenen Empfnger',
'upload a file'
=> 'Daten-Datei importieren',
'To use this feature you have to register this module!'
=> 'Um dieses Feature nutzen zu knnen mssen Sie das Modul registrieren!',
'compose newsletter'
=> 'Newsletter zusammenstellen',
'composing a newsletter'
=> 'Zusammenstellen eines Newsletters',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'Options'
=> 'Einstellungen',
'Newsletter options and settings'
=> 'Newsletter-Konfiguration',
'Rights'
=> 'Rechte',
'Edit newsletter rights'
=> 'Newsletter-Rechte',
'The newsletter-module got activated.'
=> 'Das Newsletter-Modul wurde aktiviert.',
'The newsletter-module got deactivated.'
=> 'Das Newsletter-Modul wurde deaktiviert.',
'Your newsletter-adress-table has been renamed to <B>%s_mod_newsletter_adresses_backup</B> to preserve your data. If you wish to unreversably destroy this data for security or privacy reasons please klick on <a href="%s/remove.php?action=adresses">Remove Adress-Table</a>.'
=> 'Die Newsletter-Empfnger-Liste wurde umbenannt zu <B>%s_mod_newsletter_adresses_backup</B> um sie zu erhalten. Wenn Sie sie aus Sicherheits- oder Datenschutzgrnden endgltig lschen wollen, dann klicken Sie bitte auf <a href="%s/remove.php?action=adresses">Newsletter-Empfnger-Liste lschen</a>.',
'The newsletters, the newsletter rubric, the template an all the rights have been kept. To remove these just use the common Conpresso functions.'
=> 'Die Newsletter, die Newsletter-Rubrik, das Template sowie alle Rechte wurden nicht gelscht. Um diese zu entfernen benutzen Sie bitte die normalen ConPresso-Funktionen.',
'If you intend to reinstall the module all templates, placeholders and the rubric should be deleted. This is perfomed by klicking on <a href="%s/remove.php?action=rubric">Remove Newsletter Relicts</a>.'
=> 'Wenn Sie vorhaben, das Modul erneut zu installieren, dann sollten alle Templates, Platzhalter und die Rubrik gelscht werden. Dies wird ausgefhrt, wenn Sie auf <a href="%s/remove.php?action=rubric">Entfernen der Newsletter-berreste</a> klicken.',
'The module was removed from the ConPresso-system. To finally uninstall the module, please remove the module directory <i>%s</i>.'
=> 'Das Modul wurde aus dem ConPresso-System entfernt. Um das Modul vollstndig zu entfernen, mssen Sie jetzt nur noch das Modul-Verzeichnis <i>%s</i> lschen.',
'The address table backup has been deleted!'
=> 'Das Backup der Adress-Tabelle wurde gelscht!',
'If you intend to reinstall the module all templates, placeholders and the rubric should be deleted. This is performed by klicking on <a href="remove.php?action=rubric">Remove Newsletter Relicts</a>.'
=> 'Wenn Sie beabsichtigen das Newsletter-Modul erneut zu installieren, sollten alle Reste wie Templates, Platzhalter und die Rubrik selbst durch Klick auf <a href="remove.php?action=rubric">Newsletter-Reste entfernen</a> gelscht werden.',
'The rubric, template, newsletters, placeholders and their content have been deleted!'
=> 'Die Rubrik, die Templates, die Newsletter, die Platzhalter und ihr Inhalt wurden gelscht!',
'The newsletter-module was successfully installed!'
=> 'Das Newsletter-Modul wurde erfolgreich installiert!',
'The first newsletter recipient has been set to <b>%s</b> which should be the admin.'
=> 'Als erster Newsletter-Empfnger wurde <B>%s</B> eingetragen, der Administrator sein sollte.',
'The newsletter-module works on standard ConPresso rubrics an uses <b>%s</b> for the newsletters (if you already had a rubric "%s" an additional one was created not influencing the existing one).'
=> 'Das Newsletter-Modul arbeitet mit den Standard-Conpresso-Rubriken und benutzt die Rubrik <b>%s</b> fr die Newsletter (wenn Sie bereits eine Rubrik "%s" haben wurde trotzdem eine neue angelegt, die die bestehende nicht beeinflusst).',
'An article template called <b>%s</b> was created, where you should not change the detail-part (that will be automatically overwritten).'
=> 'Ein Template mit dem Namen <b>%s</b> wurde angelegt, bei dem Sie den Detail-Teil nicht ndern sollten (dieser wird automatisch berschrieben).',
'A demonstration newsletter called <B>Demo-Newsletter</B> has been created.'
=> 'Ein Test- und Demonstrations-Newsletter mit dem Namen <B>Demo-Newsletter</B> wurde angelegt.',
'Now you finally have to <B>activate</B> the module.'
=> 'Nun mssen Sie abschlieend das Modul <B>aktivieren</B>.',
'Have fun with your new newsletter-module ;o)).'
=> 'Viel Spa mit Ihrem neuen Newsletter-Modul ;o)).',
'<B>CAUTION!</B> There has already been a template called "%s". The detail part of this template has been overwritten!'
=> '<B>ACHTUNG!</B> Es gab bereits ein Template mit dem Namen "Newsletter". Der Detail-Teil dieses Templates wurde berschrieben!',
'options'
=> 'Einstellungen',
'rights'
=> 'Rechte',
'read manual'
=> 'Handbuch',
'remove anything'
=> 'Alle Reste lschen',
'This is just a demo that can be deleted or be used for experience your new newsletter-module'
=> 'Dies ist nur ein Demo-Newsletter, der gelscht oder dazu genutzt werden kann das Newsletter-Modul kennnen zu lernen',
'Wrong security code! Remind capital and small letters!'
=> 'Fehlerhafter Sicherheitscode! Achten Sie auf Gross- und Kleinschreibung!',
"<!-- // Captcha-Sicherheitscode -->\n<p><b>Security code:</b> please fill in the shown code in the adjacent input field<br />\n<img src=\"captcha/captcha.php\" border=\"0\" title=\"security code\" onClick=\"reloadCaptcha(this);\">\nFill in the security code here: <input type=\"text\" name=\"sicherheitscode\" size=\"5\"><br />\nThis prevents spam messages.\n</p>"
=> "<!-- // Captcha-Sicherheitscode -->\n<p><b>Sicherheitscode:</b> Bitte tragen Sie vor dem Absenden den nachstehenden Sicherheitscode in das nebenstehende Feld ein<br />\n<img src=\"captcha/captcha.php\" border=\"0\" title=\"Sicherheitscode\" onClick=\"reloadCaptcha(this);\">\nSicherheitscode hier eintragen: <input type=\"text\" name=\"sicherheitscode\" size=\"5\"><br />\nDiese Ma&szlig;nahme dient der Spam-Vermeidung. Wir bitten um Ihr Verst&auml;ndnis.\n</p>",
'Wrong or invaid hash-code for the requested action!'
=> 'Falscher oder ungltiger Hash-Code fr diese Aktion!',

// Frontend

'An unscribe mail has been sent to the given adress. Please check your inbox!'
=> 'Eine Mail mit Informationen zum Austragen wurde an die angegebene Mail-Adresse geschickt. Bitte prfen Sie Ihren Posteingang!',

// Hilfe
'Newsletter-Help'
=> 'Newsletter-Hilfe',
'There ist right now no english helpfile available!'
=> 'Das Handbuch zum Newsletter von <a href="http://mods.50n.de" target="_blank">Markus Rsel (mods.50n.de)</a>',
'english'
=> 'deutsch',

'yes'
=> 'ja',
'no'
=> 'nein'
)

?>